*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.element-invisible {
  position: absolute !important;
  height: 1px;
  width: 1px;
  overflow: hidden;
  clip: rect(1px 1px 1px 1px);
  clip: rect(1px, 1px, 1px, 1px);
}

body {
  background: #fff;
  overflow: hidden;
  font-family: monospace;
  font-size: 1.4em;
  font-weight: 700;
}

p {
  margin-bottom: 1em;
}

#canvas {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
}

.screen {
  position: absolute;
  top: 50%;
  left: 50%;
  background: #aaa;
  opacity: .333;
  transform: scale(0) translate3d(-50%, -50%, 0);
  transform-origin: 0 0;
  animation: grow 10s ease-in-out 1;
  animation-delay: 1.3333s;
}

@-webkit-keyframes grow {
  95% {
      opacity: .333;
      -webkit-transform: scale(1) translate3d(-50%, -50%, 0);
      transform: scale(1) translate3d(-50%, -50%, 0);
  }

  100% {
      opacity: 0;
      transform: scale(1) translate3d(-50%, -50%, 0);
  }
}

@keyframes grow {
  95% {
      opacity: .333;
      transform: scale(1) translate3d(-50%, -50%, 0);
  }

  100% {
      opacity: 0;
      transform: scale(1) translate3d(-50%, -50%, 0);
  }
}

#welcome {
  width: 80%;
  max-width: 380px;
  position: absolute;
  top: 20%;
  left: 50%;
  transform: translateX(-50%);
  opacity: 1;
  animation: welcome 6s ease-in-out;
  animation-fill-mode: forwards;
}

@-webkit-keyframes welcome {
  80% {
      opacity: 1;
  }

  100% {
      opacity: 0;
  }
}

@keyframes welcome {
  80% {
      opacity: 1;
  }

  100% {
      opacity: 0;
  }
}

#more-info {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate3d(-50%, -50%, 0);
  z-index: 50;
  min-width: 320px;
  max-width: 416px;
  padding: 1em;
  background: rgba(255, 255, 255, 0.5);
  opacity: 0;
  transition: opacity .4s ease-in-out;
}

#more-info.showing {
  opacity: 1;
}

.huh,
.colophon {
  position: absolute;
  bottom: 0;
  right: 0;
  margin: 0;
  padding: 2px 8px;
  color: #000;
  font-size: 16px;
  background: rgba(0, 0, 0, 0.25);
  border-radius: 5px 0 0 0;
  opacity: .8;
}

.huh a,
.colophon a {
  color: #070;
}

.huh {
  right: auto;
  left: 0;
  border-radius: 0 5px 0 0;
  border: 0;
}

.huh::after {
  content: '?';
  cursor: help;
}
